## $Id: utils.py 12087 2014-11-28 16:17:38Z henrik $
##
## Copyright (C) 2014 Uli Fouquet & Henrik Bettermann
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##
"""General helper functions and utilities for the documents.
"""
import grok
from waeup.ikoba.interfaces import MessageFactory as _
from waeup.ikoba.documents.workflow import CREATED
from waeup.ikoba.documents.interfaces import IDocumentsUtils
from waeup.ikoba.documents.workflow import (
    CREATED, SUBMITTED,
    VERIFIED, REJECTED, OUTDATED)


def generate_document_id():
    new_id = grok.getSite().unique_document_id
    return new_id


class DocumentssUtils(grok.GlobalUtility):
    """A collection of methods subject to customization.
    """
    grok.implements(IDocumentsUtils)

    DOCMANAGE_STATES = (CREATED,)

    TRANSLATED_DOCUMENT_STATES = {
        CREATED: _('created'),
        SUBMITTED: _('submitted for verification'),
        VERIFIED: _('verified'),
        REJECTED: _('rejected'),
        OUTDATED:_('outdated')
        }
